summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2019-03-23 14:57:08 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2019-03-23 14:58:23 -0500
commitc6c8f852018fae4a9c94fb81ce193aa6a32ad2e5 (patch)
tree82a12a6b35608b45c595d68d9b5e5ef23fe128be
parentdev-python/more-itertools: add arm64 underallarches for pytest (diff)
downloadgentoo-c6c8f852018fae4a9c94fb81ce193aa6a32ad2e5.tar.gz
gentoo-c6c8f852018fae4a9c94fb81ce193aa6a32ad2e5.tar.bz2
gentoo-c6c8f852018fae4a9c94fb81ce193aa6a32ad2e5.zip
dev-python/pytest: fix more-itertools dep
more-itertools dropped py27 support, so have to use multiple python_gen_cond_dep lines Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
-rw-r--r--dev-python/pytest/pytest-3.10.1.ebuild6
-rw-r--r--dev-python/pytest/pytest-4.3.1.ebuild6
2 files changed, 8 insertions, 4 deletions
diff --git a/dev-python/pytest/pytest-3.10.1.ebuild b/dev-python/pytest/pytest-3.10.1.ebuild
index 97eacfe3637..5e0846138d9 100644
--- a/dev-python/pytest/pytest-3.10.1.ebuild
+++ b/dev-python/pytest/pytest-3.10.1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="alpha amd64 arm ~hppa ia64 ~mips ppc ppc64 s390 sparc x86 ~amd64-fbsd ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="alpha amd64 arm ~arm64 ~hppa ia64 ~mips ppc ppc64 s390 sparc x86 ~amd64-fbsd ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
# When bumping, please check setup.py for the proper py version
@@ -24,7 +24,9 @@ PY_VER="1.5.0"
RDEPEND="
>=dev-python/atomicwrites-1.0[${PYTHON_USEDEP}]
>=dev-python/attrs-17.4.0[${PYTHON_USEDEP}]
- >=dev-python/more-itertools-4.0.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '>=dev-python/more-itertools-4.0.0[${PYTHON_USEDEP}]' python2_7 )
+ $(python_gen_cond_dep '<dev-python/more-itertools-6.0.0[${PYTHON_USEDEP}]' python2_7 )
+ $(python_gen_cond_dep '>=dev-python/more-itertools-4.0.0[${PYTHON_USEDEP}]' python3_{4,5,6,7} pypy{,3} )
$(python_gen_cond_dep 'dev-python/pathlib2[${PYTHON_USEDEP}]' python2_7 python3_{4,5} )
>=dev-python/pluggy-0.7[${PYTHON_USEDEP}]
>=dev-python/py-${PY_VER}[${PYTHON_USEDEP}]
diff --git a/dev-python/pytest/pytest-4.3.1.ebuild b/dev-python/pytest/pytest-4.3.1.ebuild
index ab4d8190973..75106fd33ff 100644
--- a/dev-python/pytest/pytest-4.3.1.ebuild
+++ b/dev-python/pytest/pytest-4.3.1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
# When bumping, please check setup.py for the proper py version
@@ -24,7 +24,9 @@ PY_VER="1.5.0"
RDEPEND="
>=dev-python/atomicwrites-1.0[${PYTHON_USEDEP}]
>=dev-python/attrs-17.4.0[${PYTHON_USEDEP}]
- >=dev-python/more-itertools-4.0.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '>=dev-python/more-itertools-4.0.0[${PYTHON_USEDEP}]' python2_7 )
+ $(python_gen_cond_dep '<dev-python/more-itertools-6.0.0[${PYTHON_USEDEP}]' python2_7 )
+ $(python_gen_cond_dep '>=dev-python/more-itertools-4.0.0[${PYTHON_USEDEP}]' python3_{4,5,6,7} pypy{,3} )
$(python_gen_cond_dep 'dev-python/pathlib2[${PYTHON_USEDEP}]' python2_7 python3_{4,5} )
>=dev-python/pluggy-0.7[${PYTHON_USEDEP}]
>=dev-python/py-${PY_VER}[${PYTHON_USEDEP}]